## PhodavServer PhodavServer — A WebDAV server |

## Stability Level

Stable, unless otherwise indicated

## Functions

PhodavServer * | phodav_server_new ()
SoupServer * | phodav_server_get_soup_server ()

## Properties

gboolean | read-only | Read / Write
gchar * | root | Read / Write / Construct
SoupServer * | server | Read

## Object Hierarchy

        GObject
        ╰── PhodavServer

## Includes

    #include <libphodav/phodav.h>

## Description

PhodavServer implements a simple WebDAV server.

## Functions

### phodav_server_new ()

    PhodavServer *
    phodav_server_new (const gchar *root);

Creates a new PhodavServer.

#### Parameters

root | Root path. | [allow-none]

#### Returns

a new PhodavServer

### phodav_server_get_soup_server ()

    SoupServer *
    phodav_server_get_soup_server (PhodavServer *server);

Returns the underlying `SoupServer`, if any.

#### Parameters

server | a `PhodavServer` |

#### Returns

the associated `SoupServer` or `NULL`

## Types and Values

## Property Details

### The `“read-only”` property

      “read-only”                gboolean

Read-only access.

Flags: Read / Write

Default value: FALSE

### The `“root”` property

      “root”                     gchar *

Root path.

Flags: Read / Write / Construct

Default value: NULL

### The `“server”` property

      “server”                   SoupServer *

Soup Server.

Flags: Read

## See Also

SoupServer